Skip to main content

bayaran

caution

akaun demo

id: demo@gmail.com
pwd: demo

Merekod bayaran invois (tambah baru & edit)

Request method: POST
Endpoint: http://www.eas-pro.my/eas/api/external/transaction/payment/create
Header:

  1. partner: [dapatkan value dari admin easpro]
  2. user-id: [dapatkan input dari user]
VariableMandatoryDescriptionTypeExample
amountyesamount user paidnumber20
paymentDateyespayment datedate2023-05-09T22:31
referenceyesunique id for each payment made (use same id for update)string28d37c54-c03f-4fb7-bcb9-6be938f5466f
billReferenceIdyesunique id used to create invoice, this value should be same for all payment relate to same invoicestringb5971eba-c246-4053-994c-d18ec0a721312c
transactionMethodyesValue options
  • BANK_TRANSFER
  • CHEQUE
  • CASH
stringBANK_TRANSFER

Sample body request

{
"data": {
"amount": 20,
"paymentDate": "2023-05-09T22:31",
"reference": "1231231123",
"billReferenceId": "b5971eba-c246-4053-994c-d18ec0a721312c",
"transactionMethod": "BANK_TRANSFER"
}
}

Sample body response

info

response sentiasa HTTP:200

{
"data": {
"result": "Success",
"demo": false
},
"response": {
"date": "2023/05/10 07:06:36",
"status": {
"code": "0",
"httpMessage": "success processed"
}
}
}